InviteMember

POST/auth/v1/memberships/{user.org_id}/invite

Path Parameters

user.org_id*org_id

The user.org_id path parameter.

Request Body

required
application/json
{
  "type": "object",
  "properties": {
    "username": {
      "type": "string",
      "title": "username"
    },
    "role": {
      "allOf": [
        {
          "$ref": "#/components/schemas/auth.v1.MembershipRole",
          "$ref-value": {
            "type": "string",
            "title": "MembershipRole",
            "enum": [
              "MEMBERSHIP_ROLE_UNSPECIFIED",
              "MEMBERSHIP_ROLE_OWNER",
              "MEMBERSHIP_ROLE_ADMIN",
              "MEMBERSHIP_ROLE_MEMBER"
            ]
          }
        }
      ],
      "title": "role"
    }
  },
  "title": "InviteMemberRequest",
  "additionalProperties": false
}
username?string
role?object

Response Body

200application/json

Success

type: unknown

{
  "$ref": "#/components/schemas/auth.v1.MembershipApplication",
  "$ref-value": {
    "type": "object",
    "properties": {
      "id": {
        "type": "string",
        "title": "id"
      },
      "user_id": {
        "type": "string",
        "title": "user_id"
      },
      "org_id": {
        "type": "string",
        "title": "org_id"
      },
      "role": {
        "allOf": [
          {
            "$ref": "#/components/schemas/auth.v1.MembershipRole",
            "$ref-value": {
              "type": "string",
              "title": "MembershipRole",
              "enum": [
                "MEMBERSHIP_ROLE_UNSPECIFIED",
                "MEMBERSHIP_ROLE_OWNER",
                "MEMBERSHIP_ROLE_ADMIN",
                "MEMBERSHIP_ROLE_MEMBER"
              ]
            }
          }
        ],
        "title": "role"
      },
      "state": {
        "allOf": [
          {
            "$ref": "#/components/schemas/auth.v1.MembershipApplicationState",
            "$ref-value": {
              "type": "string",
              "title": "MembershipApplicationState",
              "enum": [
                "MEMBERSHIP_APPLICATION_STATE_UNSPECIFIED",
                "MEMBERSHIP_APPLICATION_STATE_PENDING",
                "MEMBERSHIP_APPLICATION_STATE_APPROVED",
                "MEMBERSHIP_APPLICATION_STATE_DECLINED",
                "MEMBERSHIP_APPLICATION_STATE_CANCELLED"
              ]
            }
          }
        ],
        "title": "state"
      },
      "organization_username": {
        "type": "string",
        "title": "organization_username"
      },
      "organization_first_name": {
        "type": "string",
        "title": "organization_first_name"
      },
      "organization_last_name": {
        "type": "string",
        "title": "organization_last_name"
      },
      "created_at": {
        "allOf": [
          {
            "$ref": "#/components/schemas/google.protobuf.Timestamp",
            "$ref-value": {
              "type": "string",
              "examples": [
                "2023-01-15T01:30:15.01Z",
                "2024-12-25T12:00:00Z"
              ],
              "format": "date-time",
              "description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
            }
          }
        ],
        "title": "created_at"
      },
      "decided_at": {
        "allOf": [
          {
            "$ref": "#/components/schemas/google.protobuf.Timestamp",
            "$ref-value": {
              "type": "string",
              "examples": [
                "2023-01-15T01:30:15.01Z",
                "2024-12-25T12:00:00Z"
              ],
              "format": "date-time",
              "description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
            }
          }
        ],
        "title": "decided_at"
      },
      "invitation_expires_at": {
        "allOf": [
          {
            "$ref": "#/components/schemas/google.protobuf.Timestamp",
            "$ref-value": {
              "type": "string",
              "examples": [
                "2023-01-15T01:30:15.01Z",
                "2024-12-25T12:00:00Z"
              ],
              "format": "date-time",
              "description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
            }
          }
        ],
        "title": "invitation_expires_at"
      }
    },
    "title": "MembershipApplication",
    "additionalProperties": false
  }
}
curl -X POST "https://api.rixl.com/auth/v1/memberships/string/invite" \
  -H "Content-Type: application/json" \
  -d '{}'

Success

application/json

{
  "$ref": "#/components/schemas/auth.v1.MembershipApplication",
  "$ref-value": {
    "type": "object",
    "properties": {
      "id": {
        "type": "string",
        "title": "id"
      },
      "user_id": {
        "type": "string",
        "title": "user_id"
      },
      "org_id": {
        "type": "string",
        "title": "org_id"
      },
      "role": {
        "allOf": [
          {
            "$ref": "#/components/schemas/auth.v1.MembershipRole",
            "$ref-value": {
              "type": "string",
              "title": "MembershipRole",
              "enum": [
                "MEMBERSHIP_ROLE_UNSPECIFIED",
                "MEMBERSHIP_ROLE_OWNER",
                "MEMBERSHIP_ROLE_ADMIN",
                "MEMBERSHIP_ROLE_MEMBER"
              ]
            }
          }
        ],
        "title": "role"
      },
      "state": {
        "allOf": [
          {
            "$ref": "#/components/schemas/auth.v1.MembershipApplicationState",
            "$ref-value": {
              "type": "string",
              "title": "MembershipApplicationState",
              "enum": [
                "MEMBERSHIP_APPLICATION_STATE_UNSPECIFIED",
                "MEMBERSHIP_APPLICATION_STATE_PENDING",
                "MEMBERSHIP_APPLICATION_STATE_APPROVED",
                "MEMBERSHIP_APPLICATION_STATE_DECLINED",
                "MEMBERSHIP_APPLICATION_STATE_CANCELLED"
              ]
            }
          }
        ],
        "title": "state"
      },
      "organization_username": {
        "type": "string",
        "title": "organization_username"
      },
      "organization_first_name": {
        "type": "string",
        "title": "organization_first_name"
      },
      "organization_last_name": {
        "type": "string",
        "title": "organization_last_name"
      },
      "created_at": {
        "allOf": [
          {
            "$ref": "#/components/schemas/google.protobuf.Timestamp",
            "$ref-value": {
              "type": "string",
              "examples": [
                "2023-01-15T01:30:15.01Z",
                "2024-12-25T12:00:00Z"
              ],
              "format": "date-time",
              "description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
            }
          }
        ],
        "title": "created_at"
      },
      "decided_at": {
        "allOf": [
          {
            "$ref": "#/components/schemas/google.protobuf.Timestamp",
            "$ref-value": {
              "type": "string",
              "examples": [
                "2023-01-15T01:30:15.01Z",
                "2024-12-25T12:00:00Z"
              ],
              "format": "date-time",
              "description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
            }
          }
        ],
        "title": "decided_at"
      },
      "invitation_expires_at": {
        "allOf": [
          {
            "$ref": "#/components/schemas/google.protobuf.Timestamp",
            "$ref-value": {
              "type": "string",
              "examples": [
                "2023-01-15T01:30:15.01Z",
                "2024-12-25T12:00:00Z"
              ],
              "format": "date-time",
              "description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
            }
          }
        ],
        "title": "invitation_expires_at"
      }
    },
    "title": "MembershipApplication",
    "additionalProperties": false
  }
}